Subject: RE: [ANN] Cygwin DEV survey
From: "Smith, Martin" <[email-masked]>
To: "[email-masked]'" <[email-masked]>, Cygwin <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 8 Mar 1999 14:38:28 -0000

> Is it wise to change this to binary for a'development'
> > install or not?
> 8<
> 
> NO! The preferred method is text mounts.  
> 
Oops - fair enough, I wasn't sure :-) I guess this implies there are a few
packages out there aren't properly ported?

> What about environment variables? At the moment these are in a batch
> > file but I usually add them to my NT environment and call Bashdirectly.
> Is
> > this appropriate? What about other settings like term etc? Is thereany
> > "best" environment?
> 
> There are reasons why the environment variables are set in the batch
> file; that being, it works on both NT and 9x.
> 
> 
An automated install tool (like InstallShield) should be able to detect
which OS the software is being installed on and set up the appropriate
settings for each. I take the point though that this might not cover all
cases adequately.

> I prefer this method as
> to something modifying my setup files/environment.  IMNSHO, the "best"
> environment is the default one provided by the tool.  Alternates can
> be explained and possibly somewhat automated after the installation.
> 
> 8<
> > *	Once installed, how best to manage updates to included packages? Is
> > there any advantage to using RPM or would it be best to stick with
> > tarballs/diff/patch initially? I don't think many people are using
> any form
> > of package management on cygwin yet but perhaps this would be useful?
> 8<
> 
> This has been discussed many times before.  I prefer the tarball
> method while others prefer the automated installation.  If you want to
> satisfy all peoples then you have to supply both methods.
> 
[Martin]  Seems reasonable. I have RedHat Linux at home but still tend to
install a lot of stuff from tarball rather than RPM packages. 

> 8<
> > *	Would this include helper scripts like the modified "install" which
> > many packages need to cope with .exe extensions? I'm sure there have
> been a
> > few more handy scripts/wrappers on this list as well.
> 8<
> 
> Just search the archives.
> 
[Martin]  I didn't want them just now - I was just suggesting that the more
"essential" of these might make a useful addition to such a CD :-)

> 8<
> > *	Would/could it set up /bin, /etc mounts as well as the default ones
> > provided by Cygwin?
> 8<
> 
> Again, this is a preference thing.  Some prefer to use symbolic links,
> some prefer to create a different directory structure altogether and
> some prefer just using mount points.  Whatever you do as a default
> will only satisfy about 1/3 (a guess) of the preferences.
> 
[Martin]  In theory an installer could ask the user what they wanted set up
but, in practice, I agree this would probably be too much hassle. I
certainly wouldn't recommend a windows installer as a panacea for all
installation issues !

> > Anyway, that's enough from me. I certainly support this suggestion
> and think
> > it would be a good way of allowing more people to get up & running
> with the
> > Cygwin tools without having to go through the regular FAQ session
> first :-)
> 8<
> 
> I like the idea, too.  However, it is a given that you'll never
> satisfy everyone and if you're too lazy to read do the FAQ session
> then you're going to be too lazy to read any other installation manual
> as well.  I can just hear the questions now, "I just got this CD and
> I'm trying to ...". ;^)
> 
True, all the tools in one place sounds handy :-) And, as you say, as long
as people realise that this method of installation may not suit their
particular needs then there's no problem...

Regards,
	Martin

> ==
> -                        \\||//
> -------------------o0O0--Earnie--0O0o-------------------
> --                [email-masked]               --
> -- http://www.freeyellow.com/members5/gw32/index.html --
> ----------------------ooo0O--O0ooo----------------------
> 
> PS: Newbie's, you should visit my page.

--
Want to unsubscribe from this list?
Send a message to [email-masked]